Table of Contents

## Name

setxkbmap - set the keyboard using the X Keyboard Extension

## Synopsis

setxkbmap [ args ] [ layout [ variant [ option ... ] ] ]

## Description

The setxkbmap command maps the keyboard to use the layout determined by the options specified on the command line.

An XKB keymap is constructed from a number of components which are compiled only as needed. The source for all of the components can be found in <XRoot>/lib/X11/xkb.

## Options

-help
  Prints a message describing the valid input to setxkbmap.
-compat name
  Specifies the name of the compatibility map component used to construct a keyboard layout.
-config file
  Specifies the name of an XKB configuration file which describes the keyboard to be used.
-display display
  Specifies the display to be updated with the new keyboard layout.
-geometry name
  Specifies the name of the geometry component used to construct a keyboard layout.
-keymap name
  Specifies the name of the keymap description used to construct a keyboard layout.
-layout name
  Specifies the name of the layout used to determine the components which make up the keyboard description. Only one layout may be specified on the command line.
-model name
  Specifies the name of the keyboard model used to determine the components which make up the keyboard description. Only one model may be specified on the command line.
-option name
  Specifies the name of an option to determine the components which make up the keyboard description; multiple options may be specified, one per -option flag. Note that setxkbmap summarize options specified in command line with options setted before (saved in root window properties). If you want only specified options will be setted use -option flag with empty argument first.
-rules file
  Specifies the name of the rules file used to resolve the request layout and model to a set of component names.
-symbols name
  Specifies the name of the symbols component used to construct a keyboard layout.
-synch
  Force synchronization for X requests.
-types name
  Specifies the name of the types component used to construct a keyboard layout.
-variant name
  Specifies which variant of the keyboard layout should be used to determine the components which make up the keyboard description. Only one variant may be specified on the command line.

## Files

<XRoot>/lib/X11/xkb

Table of Contents

- Name
- Synopsis
- Description
- Options
- Files